/* Fixed definition of the available memory banks.
   See generic emulation script for a user defined configuration.  */
/* 6270 memory map -- dlg 07Feb01 */
/* defines 24k text segment and 4k data with stack at top */
MEMORY
{
  page0 (rwx) : ORIGIN = 0x0, LENGTH = 256
  text  (rx)  : ORIGIN = 0x8000, LENGTH = 24576
  data        : ORIGIN = 0xE000, LENGTH = 4096
}
/* Setup the stack on the top of the data memory bank.  */
PROVIDE (_stack = 0xFFC0 - 1);
