/* Memory banks for Ipac HCS12 Board
   (http://www.emacinc.com)

  
  */
MEMORY
{  	
  page0 (rx) : ORIGIN = 0x0, LENGTH = 256

  /* Use CMD12 Ram for text */
  text  (rx)  : ORIGIN = 0x4000, LENGTH = 16k
  common      : ORIGIN = 0xc000, LENGTH = 12k
  data        : ORIGIN = 0x2100, LENGTH = 8K
  bank0       : ORIGIN = 0xD0000, LENGTH = 16K
  bank1	      : ORIGIN = 0xD4000, LENGTH = 16K
  bank2       : ORIGIN = 0xD8000, LENGTH = 16K
  bank3       : ORIGIN = 0xDC000, LENGTH = 16K
  bank4       : ORIGIN = 0xE0000, LENGTH = 16K
  bank5       : ORIGIN = 0xE4000, LENGTH = 16K
  bank6       : ORIGIN = 0xE8000, LENGTH = 16K
  bank7       : ORIGIN = 0xEC000, LENGTH = 16K
  bank8       : ORIGIN = 0xF0000, LENGTH = 16K
  bank9       : ORIGIN = 0xF4000, LENGTH = 16K
  bank10      : ORIGIN = 0xF8000, LENGTH = 16K
  bank11      : ORIGIN = 0xFC000, LENGTH = 16K
  bank12      : ORIGIN = 0x100000, LENGTH = 16K
  bank13      : ORIGIN = 0x104000, LENGTH = 16K
}

/* Setup the stack on the top of the data memory bank.  */
PROVIDE (_stack = 0x3fff);
PROVIDE (_io_ports = 0);
vectors_addr = 0xef80;



